Subject: Re: Problem with git-svn with limited SVN access

From: Antoine Bonavita <[email-masked]>
Date: Thu, 10 Nov 2011 09:36:29 +0100

Thomas,

Thanks a lot for taking the time to look at my problem.

On 11/09/2011 11:38 PM, Thomas Rast wrote:
> Antoine Bonavita wrote:
>> ### If I try to add one of the branches manually:
>> branches = branches/XXX:refs/remotes/branches/XXX
>>   >  git svn fetch
>> One '*' is needed in glob: 'branches/XXX'
>
> I think having several fetch specs should do the trick, although I
> cannot easily test with actual permissions.
>
> You can start configuring the repo with
>
>    git init
>    git svn init svn://server/ -T trunk
>
> to get an initial layout.  The .git/config will look like
>
>    [svn-remote "svn"]
>            url = svn://server/
>            fetch = trunk:refs/remotes/trunk
>
> The clue is that the config says 'fetch', not 'trunk'.  Much like with
> git remotes, you can add more fetch specs along the lines of
>
>            fetch = branches/XXX:refs/remotes/svn/XXX
>
> or whatever layout you prefer.
I did what you suggested. Now my .git/config looks like:
[svn-remote "svn"]
         url = svn://server/aaa/AAA
         fetch = trunk:refs/remotes/trunk
        fetch = branches/XXX:refs/remotes/svn/XXX
  and here is the result:
 > git svn fetch
W: Item is not readable: Item is not readable at 
/usr/libexec/git-core/git-svn line 1782

Error from SVN, (220001): Item is not readable: Item is not readable

Any other idea ?
Or is there a way to get more debug info from git-svn. May be it would 
give us some insight on what it is trying to do and failing to.

Thanks,

Antoine.

>
> Please tell us whether that works even in the face of restrictions on
> branches/ itself :-)
>

-- 
Antoine Bonavita ([email-masked])
Envoyé de mon PC. Moi je suis Fedora.